# Export

## Get definition

```javascript
{
	"kind": "export",
	"uri": string,
	"id": string,
	"createdAt": integer,
	"status": "queued" | "running" | "failed" | "cancelled" | "completed",
	"errorMessage": string | null
	"percentCompleted": numeric,
	"format": "csv" | "parquet" | "jsonl" | "avro" | "dta" | "sav",
	"size": integer,
	"fileCount": integer,
	"table": {
		...table.base
	}
}
```

## Documentation

<table><thead><tr><th width="287.5">Fields</th><th></th></tr></thead><tbody><tr><td><strong>Get</strong></td><td></td></tr><tr><td>kind</td><td><p><strong>string</strong></p><p>The resource type. Will always be "export".</p></td></tr><tr><td>uri</td><td><p><strong>string</strong></p><p>The fully qualified reference to this export, for use in generating calls to this API. </p><p>For example, <code>/exports/&#x3C;export_id></code></p></td></tr><tr><td>createdAt</td><td><p><strong>integer</strong></p><p>When the export was created. Stored as milliseconds since the epoch (1970-01-01).</p></td></tr><tr><td>status</td><td><p><strong>string</strong></p><p>The current status of the export. Will be one of <code>"queued", "running", "completed", "failed", "cancelled"</code></p></td></tr><tr><td>errorMessage</td><td><p><strong>string</strong></p><p>A user-readable message about the export. Used for conveying any additional error information.</p></td></tr><tr><td>percentCompleted</td><td><p><strong>numeric</strong></p><p>An estimate of the percent completed in generating the export, between 0-100.</p></td></tr><tr><td>format</td><td><p><strong>string</strong></p><p>The output format of the export. Must be one of <code>"csv" | "parquet" | "jsonl" | "avro" | "dta" | "sav"</code></p></td></tr><tr><td>size</td><td><p><strong>integer</strong></p><p>The total size, in bytes, of the export. If the export is made up of multiple files, size will be the sum of the size of all files.<br><br>This property will be <code>null</code> if status is not "completed".</p></td></tr><tr><td>fileCount</td><td><strong>integer</strong><br>Larger tables, when exporting in parquet or avro formats, may consist of multiple independent files. This integer express the total number of files in the export.<br><br>This property will be <code>null</code> if status is not "completed".</td></tr><tr><td>table</td><td><strong>object</strong><br>The <a href="/pages/-LztdMz5cFZCPuOPAwp1#base-definition">base resource representation</a> of the table associated with this export.<br><br>This may be null if the table is subsequently deleted, or if future iterations of this API support exports on uploads and queries.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/resource-definitions/export.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
